Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class ReportQueryResult

`java.lang.Object
oracle.toplink.queryframework.ReportQueryResult`

All Implemented Interfaces:
  java.util.Map, java.io.Serializable

public class ReportQueryResult
extends java.lang.Object
implements java.io.Serializable, java.util.Map

Purpose: A single row (type) result for a ReportQuery

Description: Represents a single row of attribute values (converted using mapping) for a ReportQuery. The attributes can be from various objects. Responsibilities:

- Converted field values into object attribute values.
- Provide acces to values by index or item name

Since:
  TOPLink/Java 2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`ReportQueryResult(ReportQuery query, DatabaseRow row)`

Method Summary
`void` | `clear()` PUBLIC: Clear the contents of the result.
`boolean` | `contains(java.lang.Object value)` PUBLIC: Check if the value is contained in the result.
`boolean` | `containsKey(java.lang.Object key)` PUBLIC: Check if the key is contained in the result.
`boolean` | `containsValue(java.lang.Object value)` PUBLIC: Check if the value is contained in the result.
`java.util.Enumeration` | `elements()` PUBLIC: Return an enumeration of the result values.
`java.util.Set` | `entrySet()` PUBLIC: Returns a set of the keys.
`boolean` | `equals(java.lang.Object anObject)` PUBLIC: Compare if the two results are equal.
`java.lang.Object` | `get(java.lang.Object name)` PUBLIC: Return the value for given item name.
`java.lang.Object` | `get(java.lang.String name)` PUBLIC: Return the value for given item name.
`java.lang.Object` | `getByIndex(int index)` PUBLIC: Return the indexed value from result.
`java.util.Vector` | `getNames()` PUBLIC: Return the names of report items, provided to ReportQuery.
`java.util.Vector` | `getPrimaryKeyValues()` PUBLIC: Return the PKs for the corresponding object or null if not requested.
`java.util.Vector` | `getResults()` PUBLIC: Return the results.
`boolean` | `isEmpty()` PUBLIC: Return if the result is empty.
`java.util.Enumeration` | `keys()` PUBLIC: Return an enumeration of the result names.
`java.util.Set` | `keySet()` PUBLIC: Returns a set of the keys.
`java.lang.Object` | `put(java.lang.Object name, java.lang.Object value)` ADVANCED: Set the value for given item name.
`void` | `putAll(java.util.Map map)` PUBLIC: Add all of the elements.
`java.lang.Object` | `readObject(java.lang.Class javaClass, Session session)` PUBLIC: If the PKs were retrieved with the attributes then this method can be used to read the real object from the database.
`int` | `size()` PUBLIC: Return the number of name/value pairs in the result.
`java.lang.String` | `toString()`
`java.util.Collection` | `values()` PUBLIC: Returns an collection of the values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Constructor Detail

### ReportQueryResult

    public ReportQueryResult(ReportQuery query,
                             DatabaseRow row)

Method Detail

### clear

    public void clear()

  PUBLIC: Clear the contents of the result.
  Specified by:
    `clear` in interface `java.util.Map`

### contains

    public boolean contains(java.lang.Object value)

  PUBLIC: Check if the value is contained in the result.

### containsKey

    public boolean containsKey(java.lang.Object key)

  PUBLIC: Check if the key is contained in the result.
  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  PUBLIC: Check if the value is contained in the result.
  Specified by:
    `containsValue` in interface `java.util.Map`

### elements

    public java.util.Enumeration elements()

  PUBLIC: Return an enumeration of the result values.

### entrySet

    public java.util.Set entrySet()

  PUBLIC: Returns a set of the keys.
  Specified by:
    `entrySet` in interface `java.util.Map`

### equals

    public boolean equals(java.lang.Object anObject)

  PUBLIC: Compare if the two results are equal.
  Specified by:
    `equals` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object name)

  PUBLIC: Return the value for given item name.
  Specified by:
    `get` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.String name)

  PUBLIC: Return the value for given item name.

### getByIndex

    public java.lang.Object getByIndex(int index)

  PUBLIC: Return the indexed value from result.

### getNames

    public java.util.Vector getNames()

  PUBLIC: Return the names of report items, provided to ReportQuery.

### getPrimaryKeyValues

    public java.util.Vector getPrimaryKeyValues()

  PUBLIC: Return the PKs for the corresponding object or null if not requested.

### getResults

    public java.util.Vector getResults()

  PUBLIC: Return the results.

### isEmpty

    public boolean isEmpty()

  PUBLIC: Return if the result is empty.
  Specified by:
    `isEmpty` in interface `java.util.Map`

### keys

    public java.util.Enumeration keys()

  PUBLIC: Return an enumeration of the result names.

### keySet

    public java.util.Set keySet()

  PUBLIC: Returns a set of the keys.
  Specified by:
    `keySet` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object name,
                                java.lang.Object value)

  ADVANCED: Set the value for given item name.
  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  PUBLIC: Add all of the elements.
  Specified by:
    `putAll` in interface `java.util.Map`

### readObject

    public java.lang.Object readObject(java.lang.Class javaClass,
                                       Session session)

  PUBLIC: If the PKs were retrieved with the attributes then this method can be used to read the real object from the database.

### size

    public int size()

  PUBLIC: Return the number of name/value pairs in the result.
  Specified by:
    `size` in interface `java.util.Map`

### toString

    public java.lang.String toString()

### values

    public java.util.Collection values()

  PUBLIC: Returns an collection of the values.
  Specified by:
    `values` in interface `java.util.Map`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD